Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/PotentialFields/PfcParser.cpp File Reference

Implementation of class Parser. More...

`#include "PfcParser.h"`
`#include "Actionfield.h"`
`#include "Motionfield.h"`
`#include "PfieldDatatypes.h"`
`#include "PotentialFunctions.h"`
`#include "PfieldGeometry.h"`
`#include "FieldObject.h"`
`#include "FormationObject.h"`
`#include "RandomMotionGenerator.h"`
`#include "AStarSearch.h"`
`#include <cassert>`
`#include <iostream>`

Include dependency graph for PfcParser.cpp:

Go to the source code of this file.

## Functions
double | toDouble (const std::string &s)
int | toInt (const std::string &s)
bool | toBool (const std::string &s)
ChangeType | toChangeType (const std::string &s)

## Detailed Description

Implementation of class Parser.

Author:
  Tim Laue

Definition in file PfcParser.cpp.

## Function Documentation

double toDouble | ( | const std::string & | s | ) | `[inline]`

| Definition at line 24 of file PfcParser.cpp. Referenced by Parser::parseAction(), Parser::parseActionfield(), Parser::parseAngle(), Parser::parseFunction(), Parser::parseGeometricObject(), Parser::parseInstance(), Parser::parseMotionfield(), Parser::parseObject(), Parser::parseSingleFormation(), and Parser::parseTransformation().

int toInt | ( | const std::string & | s | ) | `[inline]`

| Definition at line 30 of file PfcParser.cpp. Referenced by Parser::parseActionfield(), Parser::parseComposition(), Parser::parseMotionfield(), and Parser::parseTimeConstraintsForField().

bool toBool | ( | const std::string & | s | ) | `[inline]`

| Definition at line 36 of file PfcParser.cpp. Referenced by Parser::parseAction(), Parser::parseActionfield(), Parser::parseGeometricObject(), and Parser::parseMotionfield().

ChangeType toChangeType | ( | const std::string & | s | ) | `[inline]`

| Definition at line 49 of file PfcParser.cpp. References CALLS, ChangeType, and MILLISECONDS. Referenced by Parser::parseTimeConstraintsForField().